// packageG/mycomponent/bonusPoolsShow/bonusPoolsShow.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        datas: {
            type: null
        }
    },
    lifetimes: {
        attached() {
            let language = wx.getStorageSync("langIndex");
            this.setData({
                language: language.en,
            });
        }
    },
    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        routeLink(e) {
            let link = e.currentTarget.dataset.link;
            wx.navigateTo({
                url: link,
                fail: function (err) {
                    wx.reLaunch({
                        url: link,
                    })
                }
            })
        }
    }
})